Skip to content

List Resource Validities

Request

List all validities for a resource

Security
oAuth2ClientCredentials
Path
resource_idstring, (uuid)(Resource Id)required
Query
cursorstring or null(Cursor)
Any of:

Pagination cursor. Mutually exclusive with other query parameters

string
start_timestring or null(Start Time)
Any of:

Filter to fetch unavailabilities after this time

string (date-time)
end_timestring or null(End Time)
Any of:

Filter to fetch unavailabilities before this time

string (date-time)
GET
/v1/resources/resource/{resource_id}/validity
import requests

resource_id = "YOUR_resource_id_PARAMETER"
url = "https://api.qargo.com/v1/resources/resource/" + resource_id + "/validity"

headers = {"Authorization": "Bearer <YOUR_TOKEN_HERE>"}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Responses

Successful Response

Bodyapplication/json
next_cursorstring or null(Next Cursor)
Any of:
string
itemsArray of objects(Items)required
Response
{ "next_cursor": "string", "items": [ {} ] }